package cz.muni.fi.pa165.mvc.controllers;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.UUID;

/**
 * @author Marek Kadlečík
 */
@Controller
@RequestMapping("/tournament")
public class TournamentController {

    // TODO facade autowire

    @RequestMapping(value = "/list", method = RequestMethod.GET)
    public String list(Model model) {
        // TODO model.addAttribute("tournaments", tournamentFacade.getAllTournaments() ... );
        return "tournament/list";
    }

    @RequestMapping(value = "/new", method = RequestMethod.GET)
    public String newProduct(Model model) {
        // TODO model.addAttribute("tournamentsCreate", new CreateTournamentDTO() ...);
        return "tournament/new";
    }

    @RequestMapping(value = "/view/{id}", method = RequestMethod.GET)
    public String view(@PathVariable UUID id, Model model) {
        // TODO model.addAttribute("tournament", tournamentFacade.getTournamentWithId(id));
        return "tournament/view";
    }

    // TODO delete
}
