<%@ page contentType="text/html;charset=UTF-8" pageEncoding="utf-8" trimDirectiveWhitespaces="false" session="false" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="my" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<my:pagetemplate title="Tournaments">
<jsp:attribute name="body">

    <my:a href="/tournament/new" class="btn btn-primary">
        <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>
        New tournament
    </my:a>

    <table class="table">
        <thead>
        <tr>
            <th>id</th>
            <th>city</th>
            <th>county</th>
            <th>prize pool</th>
            <th>format</th>
            <th>capacity</th>
        </tr>
        </thead>
        <tbody>
<%--        TODO uncomment this and set up atributes according to table header when facade working--%>
<%--        <c:forEach items="${tournaments}" var="tournament">--%>
<%--            <tr>--%>
<%--                <td>${tournament.id}</td>--%>
<%--                <td><fmt:formatDate value="${tournament.addedDate}" pattern="yyyy-MM-dd"/></td>--%>
<%--                <td><c:out value="${tournament.name}"/></td>--%>
<%--                <td><c:out value="${tournament.color}"/></td>--%>
<%--                <td><c:out value="${tournament.currentPrice.value} ${product.currentPrice.currency}"/></td>--%>
<%--                <td>--%>
<%--                    <my:a href="/product/view/${product.id}" class="btn btn-primary">View</my:a>--%>
<%--                </td>--%>
<%--                <td>--%>
<%--                    <form method="post" action="${pageContext.request.contextPath}/product/delete/${product.id}">--%>
<%--                        <button type="submit" class="btn btn-primary">Delete</button>--%>
<%--                    </form>--%>
<%--                </td>--%>
<%--            </tr>--%>
<%--        </c:forEach>--%>
        </tbody>
    </table>


</jsp:attribute>
</my:pagetemplate>