<!--@author Adrian Piacek-->
# Online Gaming Management System

## About project
* **Name**: Online Gaming Management System
* **Description**:
The goal of the system is to manage teams of users participating to eSports competitions. The system should allow to track the different team members with their records and statistics depending on different online games. It should also allow to manage the teams and their results in the competitions against other teams. Competitions with other teams can be set in some location together with prizes and score results from all the participants. History of all the results can be seen by the users with the best teams according to different games and statistics.
## Team
- Adrian Piacek @xpiacek
- Dominik Kozubik @xkozubi1
- Marek Kadlecik @xkadlec5
- Matus Valko @xvalko2

## Building instructions
You can run the Online Gaming Management System with maven:
- ` mvn clean install ` compile sources


## Diagrams for assignment
### Class diagram
![Class diagram for this project](diagrams/UML class diagram.png)

### Use Case diagram
![Class diagram for this project](diagrams/UML Use Case Diagram.png)